<%= form_with(model: tenancy, local: true) do |form| %>
  <div class="field">
    <div class="field">
      <%= form.label 'Pick Property' %>
      <br/>
      <% property_options = Property.not_rented.collect{ |u| [u.property_name, u.id] } %>

      <% if tenancy.persisted? %>
        <% property_options = Property.all.collect{ |u| [u.property_name, u.id] } %>
      <% end %>

      <%= form.select :property_id, options_for_select(property_options,
          { selected: tenancy.property_id }),{prompt: "Please select"}, {size: 5, disabled: tenancy.persisted? }%>

      <% if tenancy.errors %>
        <% tenancy.errors[:property].each do |message| %>
          <p class="errorMessage">
            <%= message %>
          </p>
        <% end %>
      <% end %>
    </div>

    <div class="field">
    Can't find the property you're looking for?
    <%= link_to 'Add it'.html_safe, new_property_path %>
  </div>

    <div class="field">
    <%= form.label 'Pick tenants(s)' %>
    <br/>
    <%= form.select :tenant_ids, options_for_select(Tenant.all.collect{ |u| ["#{u.first_name+" "+u.last_name}", u.id] },
      { selected: tenancy.tenant_ids }),{prompt: "Please select"}, {multiple: true, size: 5}%>

    <% if tenancy.errors %>
      <% tenancy.errors[:tenants].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="field">
    Can't find the tenant you're looking for?
    <%= link_to 'Add them'.html_safe, new_tenant_path %>
  </div>

    <%= form.label :start_date %>
    <%= form.date_field :start_date, disabled: tenancy.persisted?, min: Date.today, max: (Date.today+1.year) %>

    <% if tenancy.errors[:start_date] %>
      <% tenancy.errors[:start_date].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="field">
    <%= form.label :security_deposit %>

    <%= form.number_field :security_deposit, min: 0.0, step: :any %>

    <% if tenancy.errors[:security_deposit] %>
      <% tenancy.errors[:security_deposit].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="field">
    <%= form.label :monthly_rent %>

    <%= form.number_field :monthly_rent, min: 0.0, step: :any %>

    <% if tenancy.errors[:monthly_rent] %>
      <% tenancy.errors[:monthly_rent].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="actions">
    <% if tenancy.persisted? %>
      <button type="submit" name="commit" class="addButton">
        <i class="fa fa-floppy-o" aria-hidden="true"></i>Update Tenancy
      </button>

      <%= link_to '<i class="fa fa-times-circle" aria-hidden="true"></i>Cancel'.html_safe, tenancy, class: "destroyButton" %>
    <% else %>
      <button type="submit" name="commit" class="addButton">
        <i class="fa fa-floppy-o" aria-hidden="true"></i>Create Tenancy
      </button>
      <%= link_to '<i class="fa fa-times-circle" aria-hidden="true"></i>Cancel'.html_safe, tenancies_path, class: "destroyButton" %>
    <% end %>
  </div>
<% end %>
